# -*- coding: utf-8 -*-
from django.apps import AppConfig
from django.conf import settings
from django.test import tag
from django.utils.translation import ugettext_lazy as _

from django.core.checks import Tags, register
from functools import partial


class FcmConfig(AppConfig):
    name = 'thx.fcm'
    label = 'fcm'
    verbose_name = _('fcm')

    def ready(self):
        from firebase_admin import credentials, initialize_app
        try:
            cred = credentials.Certificate(settings.GOOGLE_APPLICATION_CREDENTIALS)
            initialize_app(cred)
        except Exception as e:
            from .checks import check_google_credentials
            check_google_credentials = partial(check_google_credentials, error=e)
            register(check_google_credentials, stag=Tags.models)
